Get API public v1 live risk coins by coin history
curl --request GET \
--url https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin}/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin}/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availability": {
"historicalClearinghouse": true,
"liquidations": true,
"liveCandles": true,
"markPrices": true,
"userActions": true
},
"candleHistory": [
{
"close": 123,
"high": 123,
"low": 123,
"open": 123,
"timestamp": 123,
"volume": 123
}
],
"cohortBiasHistory": "<unknown>",
"coin": "<string>",
"freshness": {
"historicalClearinghouse": "<string>",
"liquidations": "<string>",
"liveCandles": "<string>",
"livePositions": "<string>",
"longShort": "<string>",
"markPrices": "<string>"
},
"generatedAt": "<string>",
"hours": 123,
"liquidations": {
"availability": {
"historicalClearinghouse": true,
"liquidations": true,
"liveCandles": true,
"markPrices": true,
"userActions": true
},
"avgClosedPnl": 123,
"avgPenaltyFee": 123,
"bucketSizeMs": 123,
"byCoin": [
{
"coin": "<string>",
"count": 123,
"totalClosedPnl": "<unknown>",
"totalNotional": "<unknown>",
"totalPenaltyFees": "<unknown>"
}
],
"count": 123,
"freshness": {
"historicalClearinghouse": "<string>",
"liquidations": "<string>",
"liveCandles": "<string>",
"livePositions": "<string>",
"longShort": "<string>",
"markPrices": "<string>"
},
"generatedAt": "<string>",
"longEvents": 123,
"longNotional": 123,
"shortEvents": 123,
"shortNotional": 123,
"since": "<string>",
"timeline": [
{
"bucketStart": 123,
"count": 123,
"totalClosedPnl": "<unknown>",
"totalNotional": "<unknown>",
"totalPenaltyFees": "<unknown>"
}
],
"totalClosedPnl": 123,
"totalNotional": 123,
"totalPenaltyFees": 123,
"wallets": 123,
"$schema": "https://api.coinversa.ai/schemas/LiquidationSummaryBody.json",
"byCohort": [
{
"count": 123,
"tier": "<string>",
"totalClosedPnl": "<unknown>",
"totalNotional": "<unknown>",
"wallets": 123
}
],
"coin": "<string>"
},
"longShortHistory": [
{
"timestamp": 123,
"value": 123
}
],
"markDislocations": [
{
"basisPct": 123,
"markPx": 123,
"oraclePx": 123,
"timestamp": 123
}
],
"oiHistory": [
{
"coin": "<string>",
"openInterest": 123,
"timestamp": "<unknown>",
"markPx": "<unknown>"
}
],
"$schema": "https://api.coinversa.ai/schemas/CoinRiskHistoryBody.json"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}{
"$schema": "https://api.coinversa.ai/schemas/APIError.json",
"code": "<string>",
"current_tier": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"required_tier": "<string>",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upgrade_url": "<string>"
}API Reference
Get API public v1 live risk coins by coin history
GET
/
api
/
public
/
v1
/
live
/
risk
/
coins
/
{coin}
/
history
Get API public v1 live risk coins by coin history
Authorizations
Get one at https://coinversa.ai/developers
Path Parameters
Query Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.coinversa.ai/schemas/CoinRiskHistoryBody.json"

